---
updatedAt: 2025-04-29T09:34:09.000Z
agentTools:
  projectIndex: https://developers.wingify.com/llms.txt
---

# Create a Feature

Request URI for Sub Account

```
POST /accounts/account_id/features
```

Request Format

```json
{
    "name": "Feature3",
    "variables": [
        {
            "variableName": "var1",
            "dataType": "string",
            "defaultValue": "strVal"
        },
        {
            "variableName": "var2",
            "dataType": "int",
            "defaultValue": 32
        },
        {
            "variableName": "var3",
            "dataType": "float",
            "defaultValue": 22.5
        },
        {
            "variableName": "var4",
            "dataType": "boolean",
            "defaultValue": false
        }
    ],
    "type": "feature"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api",
    "version": "4"
  },
  "servers": [
    {
      "url": "https://app.wingify.com/api/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "token"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/accounts/{account_id}/features": {
      "post": {
        "summary": "Create a Feature",
        "description": "",
        "operationId": "create-a-feature",
        "parameters": [
          {
            "name": "account_id",
            "in": "path",
            "description": "Use 'current' keyword to refer to the Main Workspace or the Integer Workspace Id",
            "schema": {
              "type": "string",
              "default": "current"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"_data\": {\n        \"id\": 1,\n        \"name\": \"Feature1\",\n        \"accountId\": 1,\n        \"createdOn\": 1621963588,\n        \"modifiedOn\": 1621963588,\n        \"createdBy\": {\n            \"name\": \"Backend Testing\",\n            \"imageUrl\": \"//gravatar.com/avatar/5f32891bf0bda2e1c4a931e72f86975b?s=24&d=https%3A%2F%2Fapp.wingify.com%2Fassets%2Fimages%2Favatar-new-3.png\"\n        },\n        \"variables\": [\n            {\n                \"id\": 1,\n                \"variableName\": \"var1\",\n                \"dataType\": \"string\",\n                \"defaultValue\": \"strVal\"\n            },\n            {\n                \"id\": 2,\n                \"variableName\": \"var2\",\n                \"dataType\": \"int\",\n                \"defaultValue\": 32\n            },\n            {\n                \"id\": 3,\n                \"variableName\": \"var3\",\n                \"dataType\": \"float\",\n                \"defaultValue\": 22.5\n            },\n            {\n                \"id\": 4,\n                \"variableName\": \"var4\",\n                \"dataType\": \"boolean\",\n                \"defaultValue\": false\n            }\n        ],\n        \"setting\": {\n            \"isEditable\": true,\n            \"associatedCampaigns\": []\n        }\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "_data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "name": {
                          "type": "string",
                          "example": "Feature1"
                        },
                        "accountId": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "createdOn": {
                          "type": "integer",
                          "example": 1621963588,
                          "default": 0
                        },
                        "modifiedOn": {
                          "type": "integer",
                          "example": 1621963588,
                          "default": 0
                        },
                        "createdBy": {
                          "type": "object",
                          "properties": {
                            "name": {
                              "type": "string",
                              "example": "Backend Testing"
                            },
                            "imageUrl": {
                              "type": "string",
                              "example": "//gravatar.com/avatar/5f32891bf0bda2e1c4a931e72f86975b?s=24&d=https%3A%2F%2Fapp.wingify.com%2Fassets%2Fimages%2Favatar-new-3.png"
                            }
                          }
                        },
                        "variables": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "integer",
                                "example": 1,
                                "default": 0
                              },
                              "variableName": {
                                "type": "string",
                                "example": "var1"
                              },
                              "dataType": {
                                "type": "string",
                                "example": "string"
                              },
                              "defaultValue": {
                                "type": "string",
                                "example": "strVal"
                              }
                            }
                          }
                        },
                        "setting": {
                          "type": "object",
                          "properties": {
                            "isEditable": {
                              "type": "boolean",
                              "example": true,
                              "default": true
                            },
                            "associatedCampaigns": {
                              "type": "array"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```